Subject: Re: [PATCH 0/2] fec: move ColdFire setup code out of FEC driver

From: Sascha Hauer <[email-masked]>
Date: Wed, 18 Feb 2009 17:42:57 +0100

Hi Greg,

On Tue, Feb 17, 2009 at 10:53:01AM +1000, Greg Ungerer wrote:
> 
> Hi Sascha,
> 
> The following 2 patches move the ColdFire specific FEC setup code
> into the ColdFire CPU platform setup code.

Looks good to me, though I can't apply them. To which tree should
they apply?

> 
> There is still a little remaining legacy code that needs taking
> care of in fec.c. The flash reading MAC setup code and the MII
> link interrupts of the 5272 are still in there.

maybe the board setup code could copy the MAC Address from the
flash directly to the device. The driver will pick it up from
there.

Sascha

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |